Package com.io7m.waxmill.machines

# Class WXMTAPDeviceName

java.lang.Object
com.io7m.waxmill.machines.WXMTAPDeviceName

All Implemented Interfaces:
  `WXMTAPDeviceNameType`

    public final class WXMTAPDeviceName
    extends java.lang.Object
    implements WXMTAPDeviceNameType

A TAP device name, such as `tap23`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMTAPDeviceName.Builder` | Builds instances of type `WXMTAPDeviceName`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMTAPDeviceName.Builder` | `builder()` | Creates a builder for `WXMTAPDeviceName`.
  `static WXMTAPDeviceName` | `copyOf​(WXMTAPDeviceNameType instance)` | Creates an immutable copy of a `WXMTAPDeviceNameType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMTAPDeviceName` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `value`.
  `static WXMTAPDeviceName` | `of​(java.lang.String value)` | Construct a new immutable `WXMTAPDeviceName` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `WXMTAPDeviceName` with attribute values.
  `java.lang.String` | `value()` |
  `WXMTAPDeviceName` | `withValue​(java.lang.String value)` | Copy the current immutable object by setting a value for the `value` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMTAPDeviceNameType

  `checkPreconditions`

- ## Method Details

  - ### value

    public java.lang.String value()
    Specified by:
      `value` in interface `WXMTAPDeviceNameType`
    Returns:
      The device name

  - ### withValue

    public final WXMTAPDeviceName withValue​(java.lang.String value)
    Copy the current immutable object by setting a value for the `value` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for value
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMTAPDeviceName` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `value`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMTAPDeviceName` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static WXMTAPDeviceName of​(java.lang.String value)
    Construct a new immutable `WXMTAPDeviceName` instance.
    Parameters:
      `value` - The value for the `value` attribute
    Returns:
      An immutable WXMTAPDeviceName instance

  - ### copyOf

    public static WXMTAPDeviceName copyOf​(WXMTAPDeviceNameType instance)
    Creates an immutable copy of a `WXMTAPDeviceNameType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMTAPDeviceName instance

  - ### builder

    public static WXMTAPDeviceName.Builder builder()
    Creates a builder for `WXMTAPDeviceName`.

         WXMTAPDeviceName.builder()
            .setValue(String) // required value
            .build();

    Returns:
      A new WXMTAPDeviceName builder